
_interrupt:

;HID_Read_Write_Interrupt.c,42 :: 		void interrupt(){
;HID_Read_Write_Interrupt.c,44 :: 		USB_Interrupt_Proc();                   // USB servicing is done inside the interrupt
	CALL        _USB_Interrupt_Proc+0, 0
;HID_Read_Write_Interrupt.c,45 :: 		}
L_end_interrupt:
L__interrupt17:
	RETFIE      1
; end of _interrupt

_main:

;HID_Read_Write_Interrupt.c,47 :: 		void main(void){
;HID_Read_Write_Interrupt.c,49 :: 		TRISA  = 0xFF;              // PORTA is input
	MOVLW       255
	MOVWF       TRISA+0 
;HID_Read_Write_Interrupt.c,50 :: 		ADCON1 |= 0x00;                         // Configure all ports with analog function as digital
;HID_Read_Write_Interrupt.c,51 :: 		CMCON  |= 7;                            // Disable comparators
	MOVLW       7
	IORWF       CMCON+0, 1 
;HID_Read_Write_Interrupt.c,52 :: 		TRISB = 0;
	CLRF        TRISB+0 
;HID_Read_Write_Interrupt.c,53 :: 		LATB = 0;
	CLRF        LATB+0 
;HID_Read_Write_Interrupt.c,54 :: 		UART1_Init(9600);               // Initialize UART module at 9600 bps
	BSF         BAUDCON+0, 3, 0
	MOVLW       4
	MOVWF       SPBRGH+0 
	MOVLW       225
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;HID_Read_Write_Interrupt.c,55 :: 		Delay_ms(100);                  // Wait for UART module to stabilize
	MOVLW       7
	MOVWF       R11, 0
	MOVLW       23
	MOVWF       R12, 0
	MOVLW       106
	MOVWF       R13, 0
L_main0:
	DECFSZ      R13, 1, 1
	BRA         L_main0
	DECFSZ      R12, 1, 1
	BRA         L_main0
	DECFSZ      R11, 1, 1
	BRA         L_main0
	NOP
;HID_Read_Write_Interrupt.c,56 :: 		HID_Enable(&readbuff,&writebuff);       // Enable HID communication
	MOVLW       _readbuff+0
	MOVWF       FARG_HID_Enable_readbuff+0 
	MOVLW       hi_addr(_readbuff+0)
	MOVWF       FARG_HID_Enable_readbuff+1 
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Enable_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Enable_writebuff+1 
	CALL        _HID_Enable+0, 0
;HID_Read_Write_Interrupt.c,58 :: 		while(1){
L_main1:
;HID_Read_Write_Interrupt.c,59 :: 		UART1_Read_Text(output, "~", 35);
	MOVLW       _output+0
	MOVWF       FARG_UART1_Read_Text_Output+0 
	MOVLW       hi_addr(_output+0)
	MOVWF       FARG_UART1_Read_Text_Output+1 
	MOVLW       ?lstr1_HID_Read_Write_Interrupt+0
	MOVWF       FARG_UART1_Read_Text_Delimiter+0 
	MOVLW       hi_addr(?lstr1_HID_Read_Write_Interrupt+0)
	MOVWF       FARG_UART1_Read_Text_Delimiter+1 
	MOVLW       35
	MOVWF       FARG_UART1_Read_Text_Attempts+0 
	CALL        _UART1_Read_Text+0, 0
;HID_Read_Write_Interrupt.c,62 :: 		while(!HID_Read());
L_main3:
	CALL        _HID_Read+0, 0
	MOVF        R0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_main4
	GOTO        L_main3
L_main4:
;HID_Read_Write_Interrupt.c,63 :: 		txpacket(readbuff[1]);
	MOVF        1281, 0 
	MOVWF       FARG_txpacket_value+0 
	MOVLW       0
	MOVWF       FARG_txpacket_value+1 
	CALL        _txpacket+0, 0
;HID_Read_Write_Interrupt.c,64 :: 		UART1_Read_Text(output, "~", 35);
	MOVLW       _output+0
	MOVWF       FARG_UART1_Read_Text_Output+0 
	MOVLW       hi_addr(_output+0)
	MOVWF       FARG_UART1_Read_Text_Output+1 
	MOVLW       ?lstr2_HID_Read_Write_Interrupt+0
	MOVWF       FARG_UART1_Read_Text_Delimiter+0 
	MOVLW       hi_addr(?lstr2_HID_Read_Write_Interrupt+0)
	MOVWF       FARG_UART1_Read_Text_Delimiter+1 
	MOVLW       35
	MOVWF       FARG_UART1_Read_Text_Attempts+0 
	CALL        _UART1_Read_Text+0, 0
;HID_Read_Write_Interrupt.c,66 :: 		switch(readbuff[0]){
	GOTO        L_main5
;HID_Read_Write_Interrupt.c,67 :: 		case 0x79:
L_main7:
;HID_Read_Write_Interrupt.c,68 :: 		txpacket(readbuff[1]);
	MOVF        1281, 0 
	MOVWF       FARG_txpacket_value+0 
	MOVLW       0
	MOVWF       FARG_txpacket_value+1 
	CALL        _txpacket+0, 0
;HID_Read_Write_Interrupt.c,69 :: 		onoff(0x04);
	MOVLW       4
	MOVWF       FARG_onoff_value+0 
	MOVLW       0
	MOVWF       FARG_onoff_value+1 
	CALL        _onoff+0, 0
;HID_Read_Write_Interrupt.c,71 :: 		break;
	GOTO        L_main6
;HID_Read_Write_Interrupt.c,72 :: 		case 0x80:
L_main8:
;HID_Read_Write_Interrupt.c,73 :: 		txpacket(readbuff[1]);
	MOVF        1281, 0 
	MOVWF       FARG_txpacket_value+0 
	MOVLW       0
	MOVWF       FARG_txpacket_value+1 
	CALL        _txpacket+0, 0
;HID_Read_Write_Interrupt.c,74 :: 		onoff(0x05);
	MOVLW       5
	MOVWF       FARG_onoff_value+0 
	MOVLW       0
	MOVWF       FARG_onoff_value+1 
	CALL        _onoff+0, 0
;HID_Read_Write_Interrupt.c,76 :: 		break;
	GOTO        L_main6
;HID_Read_Write_Interrupt.c,83 :: 		case 0x82:
L_main9:
;HID_Read_Write_Interrupt.c,84 :: 		UART1_Read_Text(output, "~", 35);
	MOVLW       _output+0
	MOVWF       FARG_UART1_Read_Text_Output+0 
	MOVLW       hi_addr(_output+0)
	MOVWF       FARG_UART1_Read_Text_Output+1 
	MOVLW       ?lstr3_HID_Read_Write_Interrupt+0
	MOVWF       FARG_UART1_Read_Text_Delimiter+0 
	MOVLW       hi_addr(?lstr3_HID_Read_Write_Interrupt+0)
	MOVWF       FARG_UART1_Read_Text_Delimiter+1 
	MOVLW       35
	MOVWF       FARG_UART1_Read_Text_Attempts+0 
	CALL        _UART1_Read_Text+0, 0
;HID_Read_Write_Interrupt.c,86 :: 		for(i=0;i<35;i++)
	CLRF        _i+0 
	CLRF        _i+1 
L_main10:
	MOVLW       128
	XORWF       _i+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main19
	MOVLW       35
	SUBWF       _i+0, 0 
L__main19:
	BTFSC       STATUS+0, 0 
	GOTO        L_main11
;HID_Read_Write_Interrupt.c,88 :: 		writebuff[i]=output[i];
	MOVLW       _writebuff+0
	ADDWF       _i+0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_writebuff+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR1H 
	MOVLW       _output+0
	ADDWF       _i+0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_output+0)
	ADDWFC      _i+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;HID_Read_Write_Interrupt.c,86 :: 		for(i=0;i<35;i++)
	INFSNZ      _i+0, 1 
	INCF        _i+1, 1 
;HID_Read_Write_Interrupt.c,89 :: 		}
	GOTO        L_main10
L_main11:
;HID_Read_Write_Interrupt.c,90 :: 		txpacket(readbuff[1]);
	MOVF        1281, 0 
	MOVWF       FARG_txpacket_value+0 
	MOVLW       0
	MOVWF       FARG_txpacket_value+1 
	CALL        _txpacket+0, 0
;HID_Read_Write_Interrupt.c,91 :: 		while(!HID_Write(&writebuff,64));
L_main13:
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Write_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Write_writebuff+1 
	MOVLW       64
	MOVWF       FARG_HID_Write_len+0 
	CALL        _HID_Write+0, 0
	MOVF        R0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_main14
	GOTO        L_main13
L_main14:
;HID_Read_Write_Interrupt.c,92 :: 		break;
	GOTO        L_main6
;HID_Read_Write_Interrupt.c,93 :: 		}
L_main5:
	MOVF        1280, 0 
	XORLW       121
	BTFSC       STATUS+0, 2 
	GOTO        L_main7
	MOVF        1280, 0 
	XORLW       128
	BTFSC       STATUS+0, 2 
	GOTO        L_main8
	MOVF        1280, 0 
	XORLW       130
	BTFSC       STATUS+0, 2 
	GOTO        L_main9
L_main6:
;HID_Read_Write_Interrupt.c,95 :: 		}
	GOTO        L_main1
;HID_Read_Write_Interrupt.c,98 :: 		}
L_end_main:
	GOTO        $+0
; end of _main

_txpacket:

;HID_Read_Write_Interrupt.c,100 :: 		void txpacket(int value){
;HID_Read_Write_Interrupt.c,101 :: 		UART1_Write(0x7e);
	MOVLW       126
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,102 :: 		UART1_Write(0x00);
	CLRF        FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,103 :: 		UART1_Write(0x0f);
	MOVLW       15
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,104 :: 		UART1_Write(0x10);
	MOVLW       16
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,105 :: 		UART1_Write(0x00);
	CLRF        FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,106 :: 		UART1_Write(0x00);
	CLRF        FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,107 :: 		UART1_Write(0x13);
	MOVLW       19
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,108 :: 		UART1_Write(0xa2);
	MOVLW       162
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,109 :: 		UART1_Write(0x00);
	CLRF        FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,110 :: 		UART1_Write(0x40);
	MOVLW       64
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,111 :: 		UART1_Write(0xb0);
	MOVLW       176
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,112 :: 		UART1_Write(0xa2);
	MOVLW       162
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,113 :: 		UART1_Write(0x4e);
	MOVLW       78
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,114 :: 		UART1_Write(0xff);
	MOVLW       255
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,115 :: 		UART1_Write(0xfc);
	MOVLW       252
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,116 :: 		UART1_Write(0x00);
	CLRF        FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,117 :: 		UART1_Write(0x00);
	CLRF        FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,118 :: 		UART1_Write(value);
	MOVF        FARG_txpacket_value+0, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,119 :: 		sum =0xff-((0x10 + 0x00 + 0x13 + 0xa2 + 0x40 + 0xb0 + 0xa2 + 0x4e + 0xff+0xfc+value)&0xff);
	MOVLW       160
	ADDWF       FARG_txpacket_value+0, 0 
	MOVWF       R0 
	MOVLW       4
	ADDWFC      FARG_txpacket_value+1, 0 
	MOVWF       R1 
	MOVLW       255
	ANDWF       R0, 1 
	MOVLW       0
	ANDWF       R1, 1 
	MOVF        R0, 0 
	SUBLW       255
	MOVWF       _sum+0 
	MOVF        R1, 0 
	MOVWF       _sum+1 
	MOVLW       0
	SUBFWB      _sum+1, 1 
	MOVLW       0
	BTFSC       _sum+1, 7 
	MOVLW       255
	MOVWF       _sum+2 
	MOVWF       _sum+3 
;HID_Read_Write_Interrupt.c,120 :: 		UART1_Write(sum);
	MOVF        _sum+0, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,121 :: 		Delay_ms(10);
	MOVLW       156
	MOVWF       R12, 0
	MOVLW       215
	MOVWF       R13, 0
L_txpacket15:
	DECFSZ      R13, 1, 1
	BRA         L_txpacket15
	DECFSZ      R12, 1, 1
	BRA         L_txpacket15
;HID_Read_Write_Interrupt.c,122 :: 		}
L_end_txpacket:
	RETURN      0
; end of _txpacket

_onoff:

;HID_Read_Write_Interrupt.c,124 :: 		void onoff(int value){
;HID_Read_Write_Interrupt.c,125 :: 		UART1_Write(0x7e);
	MOVLW       126
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,126 :: 		UART1_Write(0x00);
	CLRF        FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,127 :: 		UART1_Write(0x10);
	MOVLW       16
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,128 :: 		UART1_Write(0x17);
	MOVLW       23
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,129 :: 		UART1_Write(0x00);
	CLRF        FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,130 :: 		UART1_Write(0x00);
	CLRF        FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,131 :: 		UART1_Write(0x13);
	MOVLW       19
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,132 :: 		UART1_Write(0xa2);
	MOVLW       162
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,133 :: 		UART1_Write(0x00);
	CLRF        FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,134 :: 		UART1_Write(0x40);
	MOVLW       64
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,135 :: 		UART1_Write(0xb0);
	MOVLW       176
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,136 :: 		UART1_Write(0xa2);
	MOVLW       162
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,137 :: 		UART1_Write(0x4e);
	MOVLW       78
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,138 :: 		UART1_Write(0xff);
	MOVLW       255
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,139 :: 		UART1_Write(0xfc);
	MOVLW       252
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,140 :: 		UART1_Write(0x02);
	MOVLW       2
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,141 :: 		UART1_Write(0x44);
	MOVLW       68
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,142 :: 		UART1_Write(0x34);
	MOVLW       52
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,143 :: 		UART1_Write(value);
	MOVF        FARG_onoff_value+0, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,144 :: 		sum =0xff-((0x17 + 0x00 + 0x13 + 0xa2 + 0x40 + 0xb0 + 0xa2 + 0x4e + 0xff+0xfc+0x02+0x44+0x34+value)&0xff);
	MOVLW       33
	ADDWF       FARG_onoff_value+0, 0 
	MOVWF       R0 
	MOVLW       5
	ADDWFC      FARG_onoff_value+1, 0 
	MOVWF       R1 
	MOVLW       255
	ANDWF       R0, 1 
	MOVLW       0
	ANDWF       R1, 1 
	MOVF        R0, 0 
	SUBLW       255
	MOVWF       _sum+0 
	MOVF        R1, 0 
	MOVWF       _sum+1 
	MOVLW       0
	SUBFWB      _sum+1, 1 
	MOVLW       0
	BTFSC       _sum+1, 7 
	MOVLW       255
	MOVWF       _sum+2 
	MOVWF       _sum+3 
;HID_Read_Write_Interrupt.c,145 :: 		UART1_Write(sum);
	MOVF        _sum+0, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;HID_Read_Write_Interrupt.c,147 :: 		}
L_end_onoff:
	RETURN      0
; end of _onoff
